package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.AssasinArmor;
import org.project.item.weapons.Knife;
import org.project.item.weapons.Weapon;
import org.project.item.armors.Armor;

public class Assassin extends  Player{

        private static  int Maxhp = 300;
        private static  int Maxmp = 50;
        private static  int SpecialabilitymanaCost = 10;

        public Assassin(String name){
            super(name,Maxhp,Maxmp,new Knife(),new AssasinArmor(),Maxhp,Maxmp);
        }

        @Override
        public void specialAbility(Entity target) {


            if (getMp() < SpecialabilitymanaCost) {

                System.out.println("Not enough mana!");

                return;
            }

            System.out.println("Turning invisible...");
            this.defend();
            this.makeCritical(true);
            fillMana(-SpecialabilitymanaCost);
        }

    @Override
    public int specialAblMPCost() {
        return SpecialabilitymanaCost;
    }

}


